tip_dialog 2.0.0

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 80

TipDialog #

中文版

A Flutter Tip Dialog

Loading Type DialogSuccess Tye DialogFail Type Dialog
WechatIMG9WechatIMG8WechatIMG6
Info Type DialogOnly Icon DialogOnl Text Dialog
WechatIMG7WechatIMG5WechatIMG4
Custom Icon DialogCustom Body Dialog
WechatIMG3WechatIMG2

1. Depend on it #

Add this to your package's pubspec.yaml file:

dependencies:
  tip_dialog: ^2.0.0

2. Install it #

You can install packages from the command line: with Flutter:

$ flutter packages get

3. Import it #

Now in your Dart code, you can use:

import 'package:loading_view/loading_view.dart';

4. Use #

Available attributes #

[ TipDialogContainer ]
@required this.child,
/// automatically disappear time
this.duration: const Duration(seconds: 3),
/// mask layer alpha
this.maskAlpha: 0.3

Global Use #

/// Use [TipDialogContainer] globally
/// This widget can be globally supported
void main() => runApp(new MyApp());
class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return new TipDialogContainer(
        child: new MaterialApp(
          title: 'TipDialog Demo',
          theme: new ThemeData(),
          home: new MyHomePage(title: 'TipDialog Demo Home Page'),
        ));
  }
}

/// Use [TipDialogConnector] to obtain [TipDialogController]
new TipDialogConnector(
  builder: (context, tipController) {
    return new ListView(children: <Widget>[
      _buildItem("Loading Type Tip Dialog", () async {
        tipController.show(
          tipDialog: new TipDialog(type: TipDialogType.LOADING, tip: "Loading"),
          isAutoDismiss: false);
        await new Future.delayed(new Duration(seconds: 3));
        tipController.dismiss();
      }),
      new Divider(),
      _buildItem("Success Type Tip Dialog", () async {
        tipController.show(
        tipDialog: new TipDialog(
          type: TipDialogType.SUCCESS,
          tip: "Loaded Successfully",
        ));
      }),
    ]);
  },
)

Use a custom widget when using [TipDialogContainer] globally, there may be appear some unexpected errors. such as Text or Icon, will appear similar to the following error.

No Directionality widget found.

Just set TextDirection just fine. See the custom Widget in the example for details.

5. Default Dialog Type #

enum TipDialogType { NOTHING, LOADING, SUCCESS, FAIL, INFO }

NONTHING: no icon
LOADING: have a loading icon
SUCCESS: have a success icon
FAIL: have a fail icon
INFO: have a info icon

6. State And TipDialogController Method #

/// tipDialog: Need to display the widget
///
/// isAutoDismiss: decide whether to disappear automatically, default is false
/// if true, the dialog will not automatically disappear
/// otherwise, the dialog will automatically disappear after the [Duration] set by [TipDialogContainer]
void show({@required Widget tipDialog, bool isAutoDismiss: false});

/// dismiss dialog
void dismiss();

See the example directory for more details.

7. Change log #

[2.0.0]

  • set default auto dismiss duration as 2 seconds
  • delete [TipDialogContainer] Partial parameters -- show -- outSideTouchable -- defaultTip -- defaultType
  • change show method parameter isLoading to isAutoDismiss
  • force display mask layer

[1.1.2] - (MODIFY)

  • fix infinite call dismiss bug
  • fixed an issue where setting the isLoading value is invalid

[1.1.1] - (MODIFY)

  • fix bugs that occur when using globally

[1.1.0] - (FUNCTION CHANGE)

  • add tip dialog global support

[1.0.1] - (MODIFY).

  • fix loading view version bug.
  • set default loading duration

[1.0.0] - first release.

  • add release.

[1.0.0] - first release.

  • add release.

[1.0.1] - (MODIFY).

  • fix loading view version bug.
  • set default loading duration

[1.1.0] - (FUNCTION CHANGE)

  • add tip dialog global support

[1.1.1] - (MODIFY)

  • fix bugs that occur when using globally

[1.1.2] - (MODIFY)

  • fix infinite call dismiss bug
  • fixed an issue where setting the isLoading value is invalid

[2.0.0]

  • set default dismiss duration as 2 seconds
  • delete TipDialogContainer parameters -- show -- outSideTouchable -- defaultTip -- defaultType
  • change show method parameter isLoading to isAutoDismiss
  • force display mask layer

example/README.md

example #

A new Flutter application.

Getting Started #

For help getting started with Flutter, view our online documentation.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  tip_dialog: ^2.0.0

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:tip_dialog/tip_dialog.dart';
  
Version Uploaded Documentation Archive
2.0.0 Dec 21, 2018 Go to the documentation of tip_dialog 2.0.0 Download tip_dialog 2.0.0 archive
1.1.2 Dec 21, 2018 Go to the documentation of tip_dialog 1.1.2 Download tip_dialog 1.1.2 archive
1.1.1 Sep 1, 2018 Go to the documentation of tip_dialog 1.1.1 Download tip_dialog 1.1.1 archive
1.1.0 Sep 1, 2018 Go to the documentation of tip_dialog 1.1.0 Download tip_dialog 1.1.0 archive
1.0.1 Aug 17, 2018 Go to the documentation of tip_dialog 1.0.1 Download tip_dialog 1.0.1 archive
1.0.0 Aug 17, 2018 Go to the documentation of tip_dialog 1.0.0 Download tip_dialog 1.0.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
75
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
64
Overall:
Weighted score of the above. [more]
80
Learn more about scoring.

We analyzed this package on Mar 6, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.2.0
  • pana: 0.12.14
  • Flutter: 1.3.3

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Maintenance suggestions

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Update README.md. (-16 points)

8 image links are insecure (e.g. http://qiniu.inrush.cn/2018-08-17-WechatIMG9.jpeg), use https URLs instead.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.28.0 <3.0.0
flutter 0.0.0
loading_view ^1.0.2 1.0.2
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test